cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
1491
Views
0
Helpful
12
Replies
Beginner

Unable to upgrade A9K-RSP-8G on ASR9006 to IOS-XR 6.1.2

Hello All,

I am trying to upgrade an ASR 9006 with RSP "A9K-RSP-8G" to IOS-XR 6.1.2 32 Bit, according to 6.1.2 release note RSP-2 are supported, as per the document:

PX PIE image files are the only option on all ASR9000 platforms including RSP-2 and ASR9001 starting from Cisco IOS XR Software Release 4.3.0.

http://www.cisco.com/c/en/us/td/docs/routers/asr9000/software/asr9k_r6-1/general/release/notes/b-release-note-asr9k-612.html

I am trying to upgrade from IOS-XR 6.0.2 to 6.1.2, this is a Lab ASR and for the 6.0.2 I used turboboot, so nothing is there.

After adding this PIE "asr9k-mini-px.pie-6.1.2" and activating it, the ASR rebooted though it got stuck and gave me this message:

----------------------------------------------------------------------------------------------------------------------------------

set_chassis_type: chassis_type=0xef02fb found=TRUE
ASR9K (8641D PPC) platform with 8192 Mb of main memory

program load complete, entry point: 0x100000, size: 0x2ac20
program load complete, entry point: 0x100000, size: 0x2ac20
program load complete, entry point: 0x100000, size: 0x2ac20
MBI Candidate = disk0:asr9k-os-mbi-6.1.2/0x100000/mbiasr9k-rp.vm
MBI Candidate = disk0:asr9k-os-mbi-6.0.2/0x100000/mbiasr9k-rp.vm

CARD_SLOT_NUMBER: 1
CPU_INSTANCE: 1
MBI Validation starts ...

Mgt LAN 0 interface is selected
tsec_init_hw: configuring FE (port 2) for: Auto Speed, Auto Duplex

tsec_init_interface: hardware initialization completed
Interface link changed state to UP.
Interface link state up.

MBI validation sending request.
HIT CTRL-C to abort
..........
No MBI confirmation received from dSC

AUTOBOOT: Boot string = disk0:asr9k-os-mbi-6.1.2/0x100000/mbiasr9k-rp.vm,1;disk0:asr9k-os-mbi-6.0.2/0x100000/mbiasr9k-rp.vm,2;
AUTOBOOT: autobootstate=0, autobootcount=0, cmd=boot disk0:asr9k-os-mbi-6.1.2/0x100000/mbiasr9k-rp.vm
program load complete, entry point: 0x100000, size: 0x2ac20

MBI size from header = 21893592,Bootflash resident MBI filesize = 21893592
....................................................................................
program load complete, entry point: 0x204184, size: 0x14e02d8
Attempting to start second CPU
Config = SMP, Running = SMP
Board type: 0x00100304
Card Capability = 0xffffffff
################################################################################################################
BSP: Board type : RO-RSP2
Processor family/kernel mismatch (2/4)
Crash[0,0] at init_cpu line 220.

----------------------------------------------------------------------------------------------------------------------------------

From what I can guess the RSP A9K-RSP-8G is not compatible with IOS-XR 6.1.2.

I have also attempted using the turboboot VM of 6.1.2 still with no luck, also we have Cisco Software Manger CSM v3.3, though unfortunately for the ASR9K it only supports up to 6.0.2, unlike the CRS platform where it supports to 6.1.2.

I am just trying to know if there is any way to install 6.1.2 on the A9K-RSP-8G.

Thank you so much for your help and support.

Kind Regards,

Ahmed Muhi

2 ACCEPTED SOLUTIONS

Accepted Solutions
Highlighted
Cisco Employee

Ahmed

Ahmed

A9K-RSP8G and A9K-RSP4G have reached end of software development support, the last release that supports this hardware is 5.3.4. This hardware is NOT supported from 6.x onwards.

regards

Eddie.

Cisco Employee

440 and 8G are not supported

4G and 8G are not supported from 61x onwards.

12 REPLIES 12
Highlighted
Cisco Employee

Ahmed

Ahmed

A9K-RSP8G and A9K-RSP4G have reached end of software development support, the last release that supports this hardware is 5.3.4. This hardware is NOT supported from 6.x onwards.

regards

Eddie.

Beginner

Hello Eddie,

Hello Eddie,

Thank you so much for your prompt response that was really helpful.

Beginner

Hi Eddie,

Hi Eddie,

Do you know if 6.1.2 will work with A9K-RSP440-TR or A9K-RSP440-LT?

Thank you in advance.

Cisco Employee

Yes it will.

Yes it will.

Beginner

Awesome, thanks Eddie!

Awesome, thanks Eddie!

Cisco Employee

That said, you should try 6.1

That said, you should try 6.1.3 or wait for super EMR 6.1.4 out last week of May, first week of June.

Beginner

Will do Eddie.  I ran into

Will do Eddie.  I ran into the same problem when I upgraded my A9K-RSP-4G from 5.3.4 to 6.1.2.  The upgrade was completed but crashed when system is booted.  I had to rollback to 5.3.4 to bring it back to normal.  

Cisco Employee

Sorry to hear about the pain.

Sorry to hear about the pain. A9K-RSP-4G does not support 6.1x, its last supported release was 5.3.4. Its done well for its age.. 5.3.4 is going to be around for a while. if you need to get to 6.1.x, you will need the RSP440s or RSP880s..

Beginner

Yes, I found out about it the

Yes, I found out about it the hard way and it wasn't that hard to rollback.  Thank you.

Cisco Employee

440 and 8G are not supported

4G and 8G are not supported from 61x onwards.

Beginner

Hello Dinesh,

Hello Dinesh,

Thank you so much for your kind reply.

Re:

 
CreatePlease to create content
Content for Community-Ad
August's Community Spotlight Awards